Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.application3x
Class NavigatorRoot

    java.lang.Object
      org.eclipse.emf.ecp.application3x.NavigatorRoot

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.ui.IElementFactory, org.eclipse.ui.IPersistable, org.eclipse.ui.IPersistableElement

    public class NavigatorRoot

extends Object
implements org.eclipse.core.runtime.IAdaptable, org.eclipse.ui.IPersistableElement, org.eclipse.ui.IElementFactory

Custom NavigatorRoot.

Constructor Summary
`NavigatorRoot()` Instantiates a new navigator root.

Method Summary
`org.eclipse.core.runtime.IAdaptable` | `createElement(org.eclipse.ui.IMemento memento)`
`Object` | `getAdapter(Class adapter)`
`String` | `getFactoryId()`
`void` | `saveState(org.eclipse.ui.IMemento memento)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NavigatorRoot

    public NavigatorRoot()

  Instantiates a new navigator root.

Method Detail

### getAdapter

    public Object getAdapter(Class adapter)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`

### getFactoryId

    public String getFactoryId()

  Specified by:
    `getFactoryId` in interface `org.eclipse.ui.IPersistableElement`

### saveState

    public void saveState(org.eclipse.ui.IMemento memento)

  Specified by:
    `saveState` in interface `org.eclipse.ui.IPersistable`

### createElement

    public org.eclipse.core.runtime.IAdaptable createElement(org.eclipse.ui.IMemento memento)

  Specified by:
    `createElement` in interface `org.eclipse.ui.IElementFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.